Bug 245393 - net/radvd: fix group join fail on multiple tries since 2.x update
Summary: net/radvd: fix group join fail on multiple tries since 2.x update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Babak Farrokhi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-06 09:20 UTC by Franco Fichtner
Modified: 2020-04-10 07:59 UTC (History)
0 users

See Also:
farrokhi: maintainer-feedback+


Attachments
OPNsense patch (1.72 KB, patch)
2020-04-06 09:20 UTC, Franco Fichtner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2020-04-06 09:20:59 UTC
Created attachment 213122 [details]
OPNsense patch

Hi,

Since radvd 2.x update some deployments reach the following error:

Apr  6 11:16:48 XXX radvd[92093]: can't join ipv6-allrouters on em0 
Apr  6 11:17:04 XXX radvd[92093]: IPv6 forwarding on interface seems to be disabled, but continuing anyway 
Apr  6 11:17:04 XXX radvd[92093]: can't join ipv6-allrouters on em0 

And router advertisements are no longer sent.

This happens because the FreeBSD bsd44 patch to join multicast is now called multiple times for the same interface.  The first call goes well, the others error out because the join error means that the multicast group is already joined.  To remedy this issue simply leave the group unconditionally in order to let the rejoin work all the time.

This makes radvd 2.x behave like 1.x in OPNsense IPv6 environments.

While here, squelch the "IPv6 forwarding on interface seems to be disabled, but continuing anyway" message because it has no programmatic consequence and the flag is not supported on BSD anyway.


Cheers,
Franco
Comment 1 commit-hook freebsd_committer 2020-04-09 20:32:04 UTC
A commit references this bug:

Author: farrokhi
Date: Thu Apr  9 20:31:46 UTC 2020
New revision: 531270
URL: https://svnweb.freebsd.org/changeset/ports/531270

Log:
  net/radvd: fix group join fail on multiple tries

  PR:		245393
  Submitted by:	Franco Fichtner <franco@opnsense.org>

Changes:
  head/net/radvd/Makefile
  head/net/radvd/files/patch-device-bsd44.c
Comment 2 Babak Farrokhi freebsd_committer 2020-04-09 20:33:09 UTC
Committed. Thanks!
Comment 3 Franco Fichtner 2020-04-10 07:59:55 UTC
Thank you!